Cartridge Utility

Thank you for purchasing a Cartridge product.

This HTML Help file provides the documentation for Cartridge products.

The first part of this document provides information about the functionality of Cartridge products.

The second part of this document provides information about Dialog Manager, the package used to develop Cartridge Utility, the driver program of the Cartridge products.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Introduction

Cartridge Utility is the driver program for Cartridge.

De theory behind Cartridge Utility is rather simple. A Cartridge is no more than a piece of memory of 32 kilobyte. The knitting machine can read this memory and most knitting machines can also write the memory.

The idea is that using Cartridge you can also read the memory and can save its contents on your computer. You can also write the stored contents back to Cartridge.

Here we have the first additional application: you will never have the lack of space problem with Cartridge. You can store the contents on your computer. You also get a backup facility for your patterns. You can do this as often as you wish.

Cartridge also solves another problem for you: You can after retrieving the patterns from Cartridge, view the patterns. If you forgot the order of the patterns for example, you can get a picture of the patterns.

You can also compose a new contents of Cartridge on your computer using patterns stored on Cartridge and patterns (DesignaKnit STP/PAT files, Stitch Painter STC files) stored on your computer.

DesignaKnit users can, via the IK (Interactive Knitting) option, knit interactive using the USB port on your computer. An RS232 port is no longer needed.

Last Modification: Dec 12, 2022 © 2005-2022 Computerservice SSHS BV.


Functions

Machine | Slot | PPD | DesignaKnit | CartUtil | Pages
KH-940 | No | Yes | Yes | Yes | 1 x 32K
KH-950i | No | Yes | Yes | Yes | 1 x 32K
KH-270 | Yes | Yes | Yes | Yes | 1 x 32K
KH-930 | No | Yes | Yes | Yes | 16 x 2K
KH-930M | No | Yes | Yes | Yes | 4 x 8K
KH-900 | Yes | Yes | No | Yes | 8 x 4K
KH-965 | Yes | Yes | Yes | Yes | 1 x 32K
KH-965i | Yes | Yes | Yes | Yes | 1 x 32K
KH-970 | Yes | No | No | Yes(*) | 1 x 32K
CK-35 | Yes | Yes | Yes | Yes | 1 x 32K
(*) under development

Legend:
Slot | The knitting machine has a cartridge slot
PPD | The PPD can program the Cartridge
DesignaKnit | DesignaKnit can program the Cartridge (in the PPD)
CartUtil | Cartridge Utility can program the Cartridge (connected to PC via USB)

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Starting Cartridge Utility

Cartridge is controlled by Cartridge Utility. You can use Cartridge Utility also without a Cartridge connected. In that case you can not make use of reading and writing of Cartridges.

Follow these steps to start Cartridge Utility:
1. Press Start
2. Press Programs
3. Press Cartridge
4. Press Cartridge Utility
5. The configuration dialog of Cartridge Utility will be displayed

Figure 1

You can also start Cartridge Utility by double clicking on the Cartridge Utility icon on your desktop.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Configuration

When Cartridge Utility starts you first have to set the com port to which the Cartridge hardware is connected. You do this by clicking one of the com ports from the list and then pressing OK.

In case the Cartridge is not connected to the com port specified, you will see the message below.

You can show this help file by pressing the Help button.

If you click on About, Cartridge Utility shows its version and also the version of Windows.

You can choose also to work only on your PC pattern collection and/or to view them. In this case press No Port.

The next dialog will be the User Interface dialog.

Last Modification: Mar 31, 2020 © 2005,2020 Computerservice SSHS BV.


User Interface

There are two variants of the User Interface dialog: one with five black buttons and one with three grey and two black buttons.

You will see the dialog with five black buttons when you have pressed the OK button on the configuration dialog.
You will see the dialog with three grey and two black buttons when you have pressed the No Port button.

The buttons have the following functions:
Read | Read the contents of the Cartridge
Write | Write to the Cartridge
Format | Format the Cartridge
Edit | Edit a Cartridge file
IK Test | Test the Interactive Knitting function
Close | Exit from Cartridge Utility

Last Modification: December 12, 2022 © 2005,2022 Computerservice SSHS BV.


Read

To read the contents of the Cartridge press the button Read.

On the Cartridge the green light will go on. In the status field you will be informed about the progress. You can abort the read process by pressing the End button on the keyboard.

When reading has been completed, the dialog above will be displayed. You can select or create here a folder and type a file name at the star.

Last Modification: January 29, 2022 © 2005-2022 Computerservice SSHS BV.


Write

To write a file to the Cartridge press the button Write.

You will see a dialog where you can select the file that has to be written.

Click on the file that you want to write, and the dialog will look like the one below.

Press Open to start writing.

On the Cartridge the red light will go on. In the status field you will be informed about the progress. You can abort the write process by pressing the End button on the keyboard. When writing has been completed, you will see the User Interface dialog.

Last Modification: January 29, 2022 © 2005-2022 Computerservice SSHS BV.


Format

To format the Cartridge, press the button Format.

Select from the dialog below for which machine you want to format.

On the Cartridge the red light will go on. In the status field you will be informed about the progress. When the formatting has been completed, you will see the User Interface dialog.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Edit Cartridge

To edit the stored contents of the Cartridge press the button Edit.

Now you see:

The buttons have the following functions:
New | Create a new Cartridge file
Open | Open an existing Cartridge file
Close | Close the Cartridge file
Save | Save the Cartridge file
Save as | Save the Cartridge file with a new filename
Edit Page | Edit a page of the Cartridge file
Split | Split the contents of the Cartridge file
Exit | Exit from Edit

Last Modification: April 29, 2008 © 2005,2008 Computerservice SSHS BV.


New

To create a new Cartridge file press the button New.

You will be asked for which machine the Cartridge file has to be made.

When you have made your choice, the dialog below will be displayed.

In the middle column you see the page partitioning of the Cartridge.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Open

To open an existing Cartridge file press the button Open.

You see now the Open dialog. Select a Cartridge file and press Open

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Close

To close a Cartridge file press the button Close.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Save

To save the displayed Cartridge file press the button Save.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Save As

To save the displayed Cartridge file to a different file name, press the button Save As.

You can select or create a folder and type a file name instead of Untitled. Press Save to save the Cartridge file.

Last Modification: March 31, 2020 © 2005-2020 Computerservice SSHS BV.


Edit Page

If you want to edit a page, select the page by clicking on it and then press Edit.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Browse

You can browse your computer for one or more patterns. Press the Browse button for browsing.

You will see a new independent dialog like the one below.

Press the Folder button to select the folder containing your patterns.

You will see the Browse for folder dialog. By pressing the plus sign (+) next to a folder, you can open sub folders. Select the folder of your choice and press OK.

By moving the scroll bar you can view all patterns in a folder.
The Browse dialog can be resized by dragging the borders or the corners of the dialog.
Another cute feature of the Browse dialog is "Drag and Drop.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Add

To add one or more patterns to this page, press button Add.

Note: for the CK35 you can add patterns and blocks. Click here foor CK35.

On the dialog below you can select one or more patterns. Press Open to add the file(s) to the page.

As you can see below, Cartridge Utility supports multiple file formats. You can select multiple files with different file formats in one pass. In case you want to see files of a particular format only, select the required format in the "Files of type" drop down box.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


CK35 Add

To add one or more patterns to a page, you press the Add button.
You can also press the Add button to add a block.

After pressing Add, you may choose whether you want to add one or more patterns or that you want to add a block.

If you press Pattern, you see the next dialog.
On the dialog below you can select one or more patterns. Press Open to add the selected patterns to the page.

As you can see below, Cartridge Utility supports multiple file formats. You can select multiples files in multiple file formats in one go. If you want to see files of a particular type, select the desired file type int the "Files of type" list.

If you picked Block when you had to choose between Pattern and Block you will see:

The block added is the same as would be added if you had chosen "Create new block" in the menu "Block for knit" on the PPD35.
You can start programming the block straight away.
The Blok Editor has 4 tabs: Block, Holder Position, Knitting Range and Stop Positions. These tabs corresponds with the description on page 51 in the book Design System Cartridge, Instruction Manual.
Block data is documented on page 53 and further.

Holder Positions is documented on page 66.

Knitting Ranges is documented on page 67.

Stop positions is documented on page 70.

After you're done programming the block, you can end the programming by pressing the Close button. Each tab has a Close button. This button ends the editing of the block. Close is the same as "End block" on page 64.

After pressing Close you will be asked to save the block. There are three possible answers:
Yes: the block will be added to the contents page as a complete block.
No: the bloxck remains in the table of contents as a not complete block.
Cancel: continue programming the block.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Delete

To delete a pattern from this page, select the pattern and press the button Delete

For CK35 cartridges is is also possible to delete a block with this function.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Show

To view pictures of the patterns on this page, select a pattern and press the button Show.

Note: for the CK35 you will see patterns and blocks. Klick here for CK35.

The dialog below shows the selected pattern.

Press Previous to view a picture of the previous pattern.
Press Info to display information about the displayed pattern.
Press Next to view a picture of the above pattern.
Press Close to exit from Show.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


CK35 Show

To display pictures of patterns on thsi page or to show the information in a blok, you select a pattern or a block and press the Show button.

The dialog below shows the selected pattern.

Press Previous to display a picture of the previous pattern.
Press Info to display information about the displayed pattern.
Press Next to display a picture of the next pattern.
Press Close to close the window.

Below you see the information about the selected pattern. The information is documented on page 33 of the Design System Cartridge, Intruction Manual.

If you had selected a block when you pressed Show, you see the dialog below. The contents of the block is represented in text. You also can see that the caption of the Info button is replaced by Edit.

If you press Edit, you can edit the block as documented in the topic Add.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Extract

To save a pattern on this page (as PAT file or as STC file) on your computer, press Extract.

You will see now a dialog where you can select or create a folder and type a file name over the star. A proposal for the filename is already prefilled. The extension you specifiy (PAT or STC) determines the type of file that will be stored.

Press Save to save the pattern.

Last Modification: Mar 31, 2020 © 2005-2020 Computerservice SSHS BV.


Drag and Drop

The Drag and Drop functionality enables you to drag one or more patterns from the Browse dialog and drop them on the Cartridge Edit dialog.
Make sure that both Browse dialog and Cartridge Edit dialog are visible.

Select one or more patterns on the Browse dialog.

Press and hold the left mouse button on one of the selected patterns.
The mouse cursor changes as soon as you move the mouse (left mouse button still down) into:

Move the mouse cursor above the white area on the Cartridge Edit dialog. As soon as the mouse cursor arrives above the white area, the mouse cursor changes into:

Now release the left mouse button. The selected files will be added to your pattern collection.

Last Modification: December 31, 2005 © 2005 Computerservice SSHS BV.


Split

To split a page of the displayed Cartridge file, select a page and press the button Split.

Cartridge Utility will tell you how many designs on the page exist. If you want to split now, press Yes. If not, press No.

The files, PAT or STC files, that are created by split, are stored in the same folder as the Cartridge file.

When splitting has finished, you will get an overview of the splitting.

Last Modification: Mar 31, 2020 © 2005,2020 Computerservice SSHS BV.


Exit

Press Exit to exit from the editing of Cartridge files.

If you have not saved your work, the following dialog will be displayed:

Press Yes to save your work now
Press No to discard your work
Press Cancel to continue editing

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


IK Test

To perform the Interactive Knitting test, press the button IK Test.

You will see

The Status field contains the text IK Test and most buttons are disabled for 30 seconds.
During this time you can move the knitlink arm close to the red dot on the IK interface.
If you got close enough you will see:

The IK Test can also be terminated in two more ways: The timer expires or you press the End key.

You will see respectively:

Last Modification: December 12, 2022 © 2005-2022 Computerservice SSHS BV.


Close

You close Cartridge Utility by pressing the button Close or on the cross in the right top corner of the dialog box.

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.


Getting Started

Parts list
  1. Cartridge
  2. USB Cable
  3. CDROM with Cartridge Utility software and USB drivers
  4. Cable for interactive knitting with DesignaKnit (optional)

Software Installation

Note: INSTALL THE SOFTWARE BEFORE YOU CONNECT THE CARTRIDGE TO THE COMPUTER

  1. Put the Cartridge installation CD in the CDROM drive
  2. The Cartridge installation program will start automatically
  3. When autorun is not enabled on your computer, look for the CDROM and double-click setup.exe in the root of the CD
  4. Follow the instructions on the screen, the InstallShield installation wizard will guide you through the process
  5. After a successful installation, the configuration dialog of Cartridge Utility will be displayed.
Note 1: It is recommended to install Cartridge Utility to the suggested folder.

Hardware Installation

  1. Connect the B connector of the USB cable to the USB port at the backside of your Cartridge
  2. Connect the A connector of the USB cable to a free USB port on your computer
  3. Check the green light to go on and flash one time green/red, and stays off afterwards.
  4. Windows will indicate "New hardware found"
  5. Preferably let Windows search for the drivers
  6. If not found, tell Windows that the drivers are on the CDROM
  7. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  8. The USB Serial Converter is now installed
  9. Windows will indicate again "New hardware found"
  10. Preferably let Windows search for the drivers
  11. If not found, tell Windows that the drivers are on the CDROM
  12. If Windows indicates that the drivers are not compatible, press "Continue anyway"
  13. The USB Serial port is now installed
  14. The installation has finished now
  15. On some systems a restart is required after the installation of the USB drivers

Last Modification: April 29, 2008 © 2005,2008 Computerservice SSHS BV.


Dialog Manager

Dialog Manager is, as its name suggests, a package that manages dialogs. Dialog Manager makes the life of the Windows dialog programmer easier by taking away the boring Windows dialog hassle, enabling the programmer to concentrate on user functionality.

Dialog Manager also provides additional functionality on top of the Windows dialog functionality.
The visible additional features used in this application include:
  • Hatched buttons: a button is dependent on the contents of one or more fields, where the fields don't meet the expectations of the button. The user can click a hatched button to find out which fields don't meet the expectation of the button.
  • Field coloring: when a button has the focus, fields on which the button depends are colored to show the user that user action is required.
  • Propagation: when a row in a table is selected, the fields in the row are propagated into individual fields.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Introduction

A Dialog Manager application presents you with one or more dialogs.

Getting Help For a Dialog.

A dialog can contain:
  • Buttons
  • Single-line Fields
  • Multi-line Fields
  • TableBoxes
  • TickBoxes
You can use the mouse or the keyboard to navigate a dialog.

Access Keys

Scroll Bar

Initial Focus and Tab Order

Coloring

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Buttons

A dialog normally contains an OK button, a Cancel button, and one or more action buttons.
You can 'press' a button with a mouse click or with the keyboard:
  • Pressing the Enter key is equivalent to pressing the default button, which is the button with a heavy dark border. The default button is the one that has the focus, or, if no button has the focus, the one set up as the default. The Dialog Manager makes the last button pressed the default.
  • Pressing the spacebar is equivalent to pressing whichever button has a dotted rectangle around its text label.
  • If a button's label contains an underlined character, pressing the Alt key together with that character's key is equivalent to pressing that button.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Fields

A single-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Multi Line Fields

A multi-line field is for display or entry of a character string. When a Dialog first displays, a field in which you can enter text is usually empty, but in some cases it contains default text.
When a field allows you to enter text, you can click to place the cursor within the existing text and use the keyboard to edit it. The Home key moves the cursor to the beginning of the string, and the End key moves it to the end. The Delete key deletes characters following the cursor, and the Backspace key deletes characters before the cursor.
You can highlight text by dragging the cursor across it. The Delete key deletes highlighted text, and typing new text replaces highlighted text.
Pressing Control+Enter moves the cursor to a new line.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TableBox

A TableBox displays a list of items. Scroll through the list using the scroll bar, and select an item in one of these ways:
  • double click on it
  • click on it and press Enter
  • use the arrow keys to highlight it, and press the spacebar
The colour of the table changes on mouse-up (when the focus changes) and on mouse-down (when the selection changes). You can deselect a row by pressing the Delete key.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - TickBox

A TickBox is used to enable or disable an option. The option is enabled when an X appears in the TickBox and disabled when the TickBox is empty.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Access Keys

An access key lets you use the keyboard to activate a single-line field, multi-line field, Button, TickBox, or TableBox in a dialog. When a character in the item's label is underlined, you can activate the item by pressing Alt together with the key corresponding to that character.

Last Modification: July 20, 2004 (c) Copyright 2004, Jos Timmermans


Dialog Manager - Scrollbar

A scrollbar appears at the right or bottom edge of a TableBox or multi-line field when its contents are not completely visible. Each scroll bar contains two scroll arrows and a scroll box that enable you to scroll through the contents of the TableBox or field.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Initial Focus and Tab Order

When a control is active, it is said to have the focus, which means that you can act on it. For example, if a field has the focus, you can type in it.
You can use the Tab key to move the focus and activate controls in a dialog. The tab order is the order in which controls become active when you use Tab. Using Tab is particularly useful and natural for moving from one text field to another.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Coloring

Coloring or hatching of fields, tables, or buttons occurs when some action is required before a button can be pressed. Read-only fields that are dependent on an unsatisfied button are hatched whenever the button is grayed.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


Dialog Manager - Get Help For a Dialog

When the Dialog Manager presents you with a dialog, you can get help by pressing F1. This displays a dialog where you can choose (when available):
  • General displays this Help
  • Forms displays Help for the application
  • Field displays Help for the field that has the focus
You can also use the Forms key or Field key to go directly to the corresponding Help.

Last Modification: December 10, 2004 © 1999-2004 Computerservice SSHS BV.


TITLE

Last Modification: October 23, 2005 © 2005 Computerservice SSHS BV.